#---List of externals
set(LCG_PYTHON_VERSION 3)
include(heptools-dev3)
#
#py312
#
LCG_external_package(Python             3.12.7                          )
#
# temporary remove package professor until generators toolchain ins fixed
LCG_remove_package(professor)
LCG_external_package(openloops         2.1.3          ${MCGENPATH}/openloops)
LCG_external_package(pep517  		        0.13.1                  )
LCG_external_package(prctl	        	1.8.1                   )
LCG_external_package(MarkupSafe 	        2.1.5                   )
LCG_remove_package(messaging)
LCG_external_package(testpath 	        	0.6.0                   )
LCG_external_package(pandocfilters 	        1.5.1                   )
LCG_external_package(termcolor  	        2.4.0                   )
LCG_external_package(debugpy	  	        1.8.1                   )
LCG_external_package(HeapDict	  	        1.0.1                   )
LCG_external_package(configobj	  	        5.0.9                   )
LCG_external_package(cffi	  	        1.17.1                  )
LCG_external_package(babel	  	        2.17.0                  )
LCG_external_package(scikitbuild	  	0.18.0                  )
LCG_external_package(bcrypt	  		4.1.3                   )
LCG_external_package(pynacl	  		1.5.0                   )
LCG_external_package(argon2_cffi	  	23.1.0                  )
LCG_external_package(argon2_cffi_bindings	21.2.0                  )
LCG_external_package(sphinx 			8.1.3                   )
LCG_external_package(opt_einsum 		3.3.0                   )
LCG_external_package(minio 			7.2.15                   )
LCG_external_package(llvmlite			0.43.0                  )
LCG_external_package(qastle			0.18.0                  )
LCG_external_package(jax			0.4.35                  )
LCG_external_package(jaxlib			0.4.35                  )
LCG_external_package(aiohttp			3.11.11                 )
LCG_external_package(aiohttp_cors		0.7.0			)
LCG_external_package(greenlet			3.0.3                   )
LCG_external_package(func_adl			3.3.3                   )
LCG_external_package(ruamel_yaml_clib		0.2.12	                )
LCG_external_package(ruamel_yaml		0.18.10	                )
LCG_external_package(pysimdjson			6.0.2	                )
LCG_external_package(pywt			1.6.0	                )
LCG_external_package(grpcio			1.65.2	                )
LCG_external_package(numba			0.60.0	                )
LCG_external_package(qibojit			0.1.7			)
LCG_external_package(tensorflow_io_gcs_filesystem 0.37.1		)
LCG_external_package(sphinx_rtd_theme		3.0.2			)
LCG_external_package(omniorb			4.3.2			)
LCG_external_package(cython			3.0.11			)
LCG_external_package(blosc			1.11.2			)
LCG_external_package(dask_kubernetes		2025.1.1		)
LCG_external_package(dask_jobqueue		0.9.0			)
LCG_external_package(dask              		2024.12.1               )
LCG_external_package(dask_awkward              	2025.2.0                ) 
LCG_external_package(cartopy			0.24.1			)
LCG_external_package(ipython			8.32.0			)
LCG_external_package(ipyparallel		9.0.0			)
LCG_external_package(rise			5.7.2.2			)
#LCG_external_package(ipywidgets			7.8.5			) # was 8.1.5 requested downgrade by itkwidgets
LCG_external_package(ipywidgets			8.1.5			)
#next 2 pkgs only for devswan
LCG_external_package(comm               	0.2.2  			)
LCG_external_package(jupyterlab_widgets 	3.0.13 			)
LCG_external_package(notebook                   6.5.7                  )
LCG_external_package(jupyter_console		6.6.3			)
LCG_external_package(jupyter_nbextensions_configurator      0.6.4 	)
LCG_external_package(jupyter_core      		5.7.2 			)
LCG_external_package(jupyter_client    		7.4.9 			)
LCG_external_package(jupyterlab			4.3.0 			)
LCG_external_package(jupyterlab_server		2.27.3			)
LCG_external_package(jupyterlab_rise		0.42.0			)
LCG_external_package(jupyterlab_pygments        0.3.0 			)
LCG_external_package(jupyter_server		2.14.2			)
LCG_external_package(jupyter_server_terminals	0.5.3			)
LCG_external_package(jupyter_events		0.10.0			)
LCG_external_package(jupyter_contrib_core 	0.4.2			)
LCG_external_package(traitlets        		5.14.3 			)# was 5.14.3 downgraded by itkwidgets
LCG_external_package(imjoy_utils       0.1.2                   )
LCG_external_package(imjoy_rpc         0.5.59                  )
LCG_external_package(zarr              3.0.0                 )
LCG_external_package(itkwasm		1.0b185			)
LCG_external_package(itkwidgets			1.0a53 			)
LCG_external_package(decorator        		5.2.1  			)
LCG_external_package(pyzmq        		26.2.1 			)# https://stackoverflow.com/questions/17275875
LCG_external_package(Jinja2        		3.1.5 			)
LCG_external_package(prompt_toolkit        	3.0.47			)
LCG_external_package(jsonschema    		4.23.0                  )
LCG_external_package(jupyter_latex_envs 	1.4.6  author=1.4.6     )
LCG_external_package(nbconvert    		7.16.4                  )
LCG_external_package(ipykernel    		6.29.5                	)
LCG_external_package(widgetsnbextension		4.0.13			)
LCG_external_package(arrow			19.0.0			)
LCG_external_package(pyarrow			19.0.0			)
LCG_external_package(setuptools			76.0.0 			)
LCG_external_package(setuptools_scm		8.2.0 			)
LCG_external_package(send2trash        		1.8.3                   )
LCG_external_package(astropy			6.1.4                   )
LCG_external_package(matplotlib			3.9.2                   )
LCG_external_package(matplotlib_inline		0.1.7                   )
LCG_external_package(altair			5.4.1			)	
LCG_external_package(stack_data			0.6.3			)	
LCG_external_package(accelerate			1.3.0			)	
###LCG_external_package(numpy			1.26.4			) #commit  bd6ce031 use 1st Py12 compatible version of numpy
LCG_external_package(colorcet			3.1.0			)	
LCG_external_package(narwhals 			1.9.4			)
LCG_external_package(pytensor 			2.26.4			)
LCG_external_package(blosc2 			2.7.1			)
LCG_external_package(importlib_metadata  	8.6.1                   )
LCG_external_package(importlib_resources 	6.5.2                   )
LCG_external_package(future		 	1.0.0                   )
LCG_external_package(numexpr		 	2.10.1                  )
LCG_external_package(hepdata_converter		0.3.0                   )
LCG_external_package(huggingface_hub		0.27.1                  )
LCG_external_package(ipydatawidgets		4.3.2                   )
LCG_external_package(asttokens			2.4.1	                )
LCG_external_package(pure_eval 			0.2.3	                )
LCG_external_package(astropy_iers_data		0.2024.10.21.0.33.21    )
LCG_external_package(crypto			1.4.1		  	)
LCG_external_package(python_box			7.2.0		  	)
LCG_external_package(naked			0.1.32		  	)
LCG_external_package(shellescape		3.8.1		  	)
LCG_external_package(servicex			3.1.0		  	)
LCG_external_package(tqdm			4.67.1		 	)
LCG_external_package(miniopy_async 		1.21.1		 	)
LCG_external_package(joblib 			1.4.2 			)
LCG_external_package(platformdirs		4.3.6 			)
LCG_external_package(overrides			7.7.0 			)
LCG_external_package(keras			3.7.0			)
LCG_external_package(keras_tuner		1.4.7			)
LCG_external_package(metakernel			0.30.2			)
LCG_external_package(lightning_utilities 	0.12.0			)
LCG_external_package(pycryptodome 		3.21.0                  )
LCG_external_package(PyYAML 			6.0.2			)
LCG_external_package(requests 			2.32.3			)
LCG_external_package(nbclassic 			1.2.0 			)
LCG_external_package(charset_normalizer 	3.4.0 			)
LCG_external_package(chardet 			5.2.0 			)
LCG_external_package(urllib3i			2.2.3 			)
LCG_external_package(certifi 			2024.8.30		)
LCG_external_package(pyerfa                     2.0.1.4                 )
LCG_external_package(aiofile                    3.9.0	                )
LCG_external_package(notebook_shim              0.2.4	                )
LCG_external_package(pipenv              	2024.4.0                )
LCG_external_package(pyct              		0.5.0                   )
LCG_external_package(tex2pix              	0.3.1  	                )
LCG_external_package(sphinxcontrib_jquery 	4.1  	                )
LCG_external_package(pyshp 			2.3.1	                )
LCG_external_package(kr8s 			0.17.4                  ) #update to the latest (now back to 0.17.4 following cons. check ) and add dependencies: asyncache cryptography httpx_ws
LCG_external_package(distributed 		2025.1.0               )
LCG_external_package(zipp 			3.20.2		        )
LCG_external_package(pythran			0.17.0			)
LCG_external_package(qtconsole			5.6.1 			)
LCG_external_package(qtpy			2.4.2 			)
LCG_external_package(safetensors 		0.4.5 			)
LCG_external_package(scikitlearn 		1.5.2 			)
LCG_external_package(caio 			0.9.21 			)
LCG_external_package(httpx_ws 			0.7.1 			)
LCG_external_package(httpx 			0.28.1			)
LCG_external_package(idna 			3.10			)
LCG_external_package(libclang 			18.1.1			)
LCG_external_package(wrapt 			1.16.0			)
LCG_external_package(wheel 			0.45.0			)
LCG_external_package(werkzeug 			3.1.3 			)
LCG_external_package(markdown 			3.7 			)
LCG_external_package(hdf5              1.14.6                                   )
LCG_external_package(PyHEADTAIL			1.16.4			)
LCG_external_package(pytables			3.10.2			)
LCG_external_package(wsproto			1.2.0 			)
LCG_external_package(rfc3339_validator		0.1.4 			)
LCG_external_package(rfc3986_validator		0.1.1			)
LCG_external_package(jupyter_lsp		2.2.5 			)
LCG_external_package(async_lru			2.0.4 			)
LCG_external_package(asyncache			0.3.1 			)
LCG_external_package(tinydb 			4.8.2			)
LCG_external_package(aiohttp_retry 		2.9.1 			)
LCG_external_package(memory_profiler 		0.61.0			)
LCG_external_package(hepstats 			0.9.0			)
LCG_external_package(ccorp_yaml_include_relative_path 0.0.4 		)
LCG_external_package(typer 			0.15.1			)
LCG_external_package(types_pyyaml               6.0.12.20241230		)
LCG_external_package(cryptography               43.0.3                  )
LCG_external_package(shellingham 		1.5.4  	                )
LCG_external_package(virtualenv              	20.28.0	                )
LCG_external_package(gast              		0.6.0	                )
LCG_external_package(websocket_client 		1.8.0	                )
LCG_external_package(pystan 			3.10.0			)
LCG_external_package(filelock 			3.16.1			)
LCG_external_package(tenacity 			9.0.0			)
LCG_external_package(alabaster 			1.0.0			)
LCG_external_package(imagesize 			1.4.1			)
LCG_external_package(sphinxcontrib_serializinghtml 2.0.0		)
LCG_external_package(fsphinxcontrib_applehelp 	2.0.0			)
LCG_external_package(sphinxcontrib_devhelp     	2.0.0			)
LCG_external_package(sphinxcontrib_qthelp     	2.0.0			)
LCG_external_package(docutils		     	0.21.2			)
LCG_external_package(scikit_hep			2025.1.1		)
LCG_external_package(anyio			4.6.1			)
LCG_external_package(httpcore 			1.0.7			)
LCG_external_package(ngff_zarr 			0.10.2			)
LCG_external_package(beniget                    0.4.2.post1             )
LCG_external_package(langchain_core 		0.3.29			)#was 0.3.21 then set to 0.2.43 for consistency
LCG_external_package(langchain 			0.3.14			)
LCG_external_package(httpstan			4.13.0			)
LCG_external_package(snowballstemmer		2.2.0			)
LCG_external_package(sphinxcontrib_applehelp	2.0.0			)
LCG_external_package(sphinxcontrib_htmlhelp 	2.1.0			)
LCG_external_package(distlib 			0.3.9			)
LCG_external_package(json_logger 		2.0.7			) #python_json_logger
LCG_external_package(histoprint 		2.6.0			)
LCG_external_package(iminuit 			2.30.1			)
LCG_external_package(uproot 			5.5.1			)
LCG_external_package(avro 			1.12.0			)
LCG_external_package(fsspec 			2024.12.0		)
LCG_external_package(numcodecs			0.14.1			)
LCG_external_package(httpx_sse			0.4.0			)
LCG_external_package(pydantic_settings		2.6.1			)
LCG_external_package(shortuuid			1.0.13			)
LCG_external_package(websockets			14.1			)
LCG_external_package(asciitree			0.3.3			)
LCG_external_package(crc32c			2.7.1			)
LCG_external_package(donfig			0.8.1.post1		)
LCG_external_package(itkwasm_downsample	1.4.3				)
LCG_external_package(rich_argparse		1.6.0			)
LCG_external_package(wasmtime 			28.0.0			)
LCG_external_package(langsmith			0.2.10			)
LCG_external_package(langchain_text_splitters 	0.3.5			)
LCG_external_package(openapi_core 		0.19.4			)
LCG_external_package(jsonschema_path 		0.3.3			)
LCG_external_package(requests_toolbelt		1.0.0			)
LCG_external_package(langchain_community 	0.3.14			)
LCG_external_package(python_dotenv 		1.0.1			)
LCG_external_package(referencing 		0.35.1			)
LCG_external_package(pathable 		        0.4.4			)
LCG_external_package(isodate 		        0.7.2			)
LCG_external_package(more_itertools 		10.6.0			)
LCG_external_package(openapi_schema_validator	0.6.3 			)
LCG_external_package(openapi_spec_validator	0.7.1			)
LCG_external_package(parse			1.20.2			)
LCG_external_package(rich			13.9.4			)
LCG_external_package(pyxxhash			3.5.0			)
LCG_external_package(itkwasm_downsample_wasi	1.5.0			)
LCG_external_package(uri_template		1.3.0			)
LCG_external_package(lazy_object_proxy		1.10.0			)
LCG_external_package(Shiboken6			6.8.1.1			)
LCG_external_package(selenium			4.28.0			)
LCG_external_package(sentence_transformers	3.4.1			)
LCG_external_package(transformers		4.48.1			)
LCG_external_package(zfit_physics 		0.8.0			)
LCG_external_package(awkward 			2.7.2			)
LCG_external_package(packaging 			24.2			)
LCG_external_package(pytest_runner		6.0.1			)
LCG_external_package(tfs_pandas			4.0.0			)
LCG_external_package(pandas			2.2.3			)
LCG_external_package(make_it_sync		2.0.0			)
LCG_external_package(pyasn1			0.6.1			)
LCG_external_package(pyasn1_modules		0.4.1			)
LCG_external_package(cachetools			5.5.1			)
LCG_external_package(google_auth		2.38.0			)
LCG_external_package(networkx			3.4.2			)
#LCG_external_package(sympy			1.13.3			) #python consistency check requires 1.13.1 defined in base toolchain
LCG_external_package(tokenizers			0.21.0			)
LCG_external_package(aiohappyeyeballs		2.4.4			)
LCG_external_package(propcache			0.2.1			)
LCG_external_package(black			24.10.0			)
LCG_external_package(dask_histogram 		2025.2.0		)
LCG_external_package(yarl 			1.18.3			)
LCG_external_package(click			8.1.8			)
LCG_external_package(versioneer			0.29			)
LCG_external_package(cloudpickle		3.1.1			)
LCG_external_package(toolz			1.0.0			)
LCG_external_package(isoduration		20.11.0			)
LCG_external_package(fqdn			1.5.1			)
LCG_external_package(trio			0.28.0			)
LCG_external_package(trio_websocket		0.11.1			)
LCG_external_package(awkward_cpp		43			)
LCG_external_package(outcome			1.3.0			)
LCG_external_package(attrs			25.1.0			)
LCG_external_package(sniffio			1.3.1			)
LCG_external_package(sortedcontainers		2.4.0			)
LCG_external_package(python_dateutil		2.9.0.post0		)
LCG_external_package(pypi_arrow			1.3.0			)
LCG_external_package(types_python_dateutil	2.9.0.20241206		)
LCG_external_package(distributed		2025.2.0		)
#LCG_external_package(PyQt3D			5.15.7			)
LCG_external_package(pyqt-builder		1.18.1			)
LCG_external_package(prometheus_client 		0.21.1			)
LCG_external_package(terminado 			0.18.1			)
LCG_external_package(lxml 			5.3.1			)
LCG_external_package(ultralytics_thop 		2.0.14			)
LCG_external_package(exceptiongroup		1.2.2 			)
LCG_external_package(tf_pwa			0.2.2 			)
LCG_external_package(xenv			0.0.6 			)
